Appearance
Update Object Schema
Update an existing object schema configuration. Requires ADMIN, MANAGE_OBJECTS, or MANAGE_FORM permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
objectId* | string | The unique identifier of the object schema to update |
body.name | string | Updated display name |
body.description | string | Updated description |
body.fieldGroups | string[] | Updated list of field group IDs |
body.workflow | object | Updated workflow state configuration |
Return Value
The updated object schema.
Examples
bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/object/:objectId" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Updated Form Name"}'ENDPOINTS
put
/api/{targetPath}/object/:objectId